import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import '../controller.dart';
import 'package:fis_measure/interfaces/process/player/play_controller.dart';
import 'package:get/get.dart';
import '../events.dart';

part 'tone_bar.dart';

class OperateBar extends StatefulWidget implements FWidget {
  const OperateBar(this.controller, {Key? key}) : super(key: key);

  final VidPlayerController controller;

  @override
  State<OperateBar> createState() => _VidPlayerControlBoardState();
}

class _VidPlayerControlBoardState extends State<OperateBar> {
  String selectStuta = '';

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 300,
      padding: const EdgeInsets.symmetric(
        vertical: 10,
      ),
      child: Center(
        child: _buildOperateBar(),
      ),
    );
  }

  Widget _buildOperateBar() {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        _BrightnessToneBar(),
        const SizedBox(height: 10),
        _ContrastToneBar(),
        const SizedBox(height: 10),
        _ResetToneButton(),
        const SizedBox(height: 10),
      ],
    );
  }
}
